Subject: Re: Converting pkgsrc packages from FreeBSD ports
To: Roman Kulik <>
From: Roland Illig <>
List: tech-pkg
Date: 07/01/2005 23:09:55
Roman Kulik wrote:
> Since FreeBSD has more packages available then NetBSD, I'm using 
> port2pkg package to convert FreeBSD ports to NetBSD packages.
> port2pkg first does the conversion of the port to package, and then runs 
> pkgling to verify if package has correct form.
> I converted a few packages, all giving the same 2 warnings (see below), 
> for example, when. I converted package called p5-Tie-Array-Sorted-1.3
> pkglint gave me the following warnings:
> WARN: "$NetBSD$" expected.

This warning appears only for uncommitted files. Somewhere in the past, 
someone noted that uncommitted files should have a plain $NetBSD$ 
instead of the expanded one.

> even so the first line of the Makefile seems to have the correct form
> # $NetBSD: Makefile,v 1.1 2005/5/5 15:26:55 kuli0020 Exp $
> And another warning:
> WARN: "BUILD_DEPENDS" has to appear earlier.

This is a legacy warning. Please ignore.